package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WorkHoursConfirmEntry extends CoreBillEntryBase implements IWorkHoursConfirmEntry
{
    public WorkHoursConfirmEntry()
    {
        super();
        registerInterface(IWorkHoursConfirmEntry.class, this);
    }
    public WorkHoursConfirmEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHoursConfirmEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("A88F114F");
    }
    private WorkHoursConfirmEntryController getController() throws BOSException
    {
        return (WorkHoursConfirmEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WorkHoursConfirmEntryInfo getWorkHoursConfirmEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursConfirmEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WorkHoursConfirmEntryInfo getWorkHoursConfirmEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursConfirmEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WorkHoursConfirmEntryInfo getWorkHoursConfirmEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursConfirmEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WorkHoursConfirmEntryCollection getWorkHoursConfirmEntryCollection() throws BOSException
    {
        try {
            return getController().getWorkHoursConfirmEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WorkHoursConfirmEntryCollection getWorkHoursConfirmEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWorkHoursConfirmEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WorkHoursConfirmEntryCollection getWorkHoursConfirmEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getWorkHoursConfirmEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}